Pave Bank
Transactions

Get Transaction

Viewer Access

Retrieves a single transaction by its ID.

GET
/v1/transactions/{transactionID}

Authorization

AuthorizationRequiredBearer <token>

Enter your token in the format: Bearer {token}

In: header

Path Parameters

transactionIDRequiredstring

Response Body

Success response

transaction_idstring

ID of the transaction

statusstring

Transaction status

Value in: "pending_approval" | "pending_execution" | "approved" | "completed" | "partially_completed" | "expired" | "failed" | "declined" | "cancelled" | "in_progress" | "refund_completed" | "return_completed"
timestampstring

ExecutedAt if available, else fallback to CreatedAt

Format: "date-time"
typestring

Transaction type

Value in: "P2P" | "FX-TRADE" | "SWIFT-CUSTOMER-CREDIT-INCOMING-SERIAL" | "SWIFT-CUSTOMER-CREDIT-OUTGOING-SERIAL" | "SWIFT-FI-TO-FI-CUSTOMER-CREDIT-INCOMING" | "SWIFT-FI-TO-FI-CUSTOMER-CREDIT-OUTGOING" | "GPSS-IN-MT103" | "GPSS-IN-MT204" | "GPSS-OUT-MT103" | "CHARGE-FEE" | "BULK-TRANSFER" | "MANUAL-JOURNAL-ENTRY" | "CRYPTO-SETTLEMENT" | "CRYPTO-TRADE" | "SEGREGATED-WALLET-INCOMING" | "SEGREGATED-WALLET-OUTGOING" | "INCOMING-DOMESTIC-USD" | "OUTGOING-DOMESTIC-USD"
customer_typestring
Value in: "Fund transfer (SWIFT)" | "Fund transfer (Internal)" | "Fund transfer (Pave Bank)" | "Fund transfer (PaveNet)" | "Digital asset transfer (Segregated wallet)" | "Domestic fund transfer (Georgia-RTGS)" | "Domestic fund transfer" | "International fund transfer" | "Exchange (Digital asset)" | "Exchange (Currency)" | "Adjustment" | "Transfer" | "Fee (Account opening)" | "Fee (Account maintenance)" | "Fee (Investigation)" | "Fee (Others)" | "Fee (Network)" | "Fee (Digital asset management)"
p2pobject
fx_tradeobject
swift_outgoingobject
swift_incomingobject
fi_to_fi_swift_incomingobject
fi_to_fi_swift_outgoingobject
gpss_incomingobject
gpss_outgoingobject
charge_feeobject
bulk_transferobject
manual_journal_entryobject
qcp_settlementobject
crypto_tradeobject
segregated_wallet_incomingobject
segregated_wallet_outgoingobject
domestic_usd_incomingobject
domestic_usd_outgoingobject
curl -X GET "https://developer-api-staging.pavebank.dev/v1/transactions/string" \
  -H "Authorization: Bearer <token>"
{
  "transaction_id": "string",
  "status": "pending_approval",
  "timestamp": "2019-08-24T14:15:22Z",
  "type": "P2P",
  "customer_type": "Fund transfer (SWIFT)",
  "p2p": {
    "amount": "string",
    "asset": "string",
    "attachment_id": "string",
    "checked_at": "2019-08-24T14:15:22Z",
    "checked_by": {
      "first_name": "string",
      "id": "string",
      "last_name": "string"
    },
    "description": "string",
    "executed_at": "2019-08-24T14:15:22Z",
    "from_account_iban": "string",
    "from_account_id": "string",
    "from_account_name": "string",
    "from_bank_bic": "string",
    "from_bank_name": "string",
    "from_legal_entity_id": "string",
    "from_legal_entity_name": "string",
    "initiated_at": "2019-08-24T14:15:22Z",
    "initiated_by": {
      "first_name": "string",
      "id": "string",
      "last_name": "string"
    },
    "is_internal_transfer": true,
    "processed_at": "2019-08-24T14:15:22Z",
    "to_account_iban": "string",
    "to_account_id": "string",
    "to_account_name": "string",
    "to_bank_bic": "string",
    "to_bank_name": "string",
    "to_legal_entity_id": "string",
    "to_legal_entity_name": "string",
    "transfer_type": "string"
  },
  "fx_trade": {
    "buy_account_iban": "string",
    "buy_account_id": "string",
    "buy_account_name": "string",
    "buy_amount": "string",
    "buy_asset": "string",
    "checked_at": "2019-08-24T14:15:22Z",
    "checked_by": {
      "first_name": "string",
      "id": "string",
      "last_name": "string"
    },
    "conversion_rate": "string",
    "executed_at": "2019-08-24T14:15:22Z",
    "fee_amount": "string",
    "fee_asset": "string",
    "initiated_at": "2019-08-24T14:15:22Z",
    "initiated_by": {
      "first_name": "string",
      "id": "string",
      "last_name": "string"
    },
    "processed_at": "2019-08-24T14:15:22Z",
    "sell_account_iban": "string",
    "sell_account_id": "string",
    "sell_account_name": "string",
    "sell_amount": "string",
    "sell_asset": "string"
  },
  "swift_outgoing": {
    "amount": "string",
    "asset": "string",
    "attachment_ids": [
      "string"
    ],
    "checked_at": "2019-08-24T14:15:22Z",
    "checked_by": {
      "first_name": "string",
      "id": "string",
      "last_name": "string"
    },
    "description": "string",
    "executed_at": "2019-08-24T14:15:22Z",
    "fee_amount": "string",
    "fee_asset": "string",
    "from_account_iban": "string",
    "from_account_id": "string",
    "from_account_name": "string",
    "from_bank_bic": "string",
    "from_bank_name": "string",
    "from_legal_entity_name": "string",
    "initiated_at": "2019-08-24T14:15:22Z",
    "initiated_by": {
      "first_name": "string",
      "id": "string",
      "last_name": "string"
    },
    "intermediary_bank_bic": "string",
    "intermediary_bank_name": "string",
    "processed_at": "2019-08-24T14:15:22Z",
    "to_account_iban": "string",
    "to_account_name": "string",
    "to_bank_bic": "string",
    "to_bank_name": "string",
    "to_legal_entity_name": "string",
    "additional_details": "string",
    "pop_code": "string",
    "sender_fee_amount": "string",
    "pave_transaction_fee_account_id": "string",
    "swift_message": "string"
  },
  "swift_incoming": {
    "amount": "string",
    "asset": "string",
    "description": "string",
    "executed_at": "2019-08-24T14:15:22Z",
    "fee_amount": "string",
    "fee_asset": "string",
    "from_customer_detail": "string",
    "from_account_iban": "string",
    "from_account_name": "string",
    "from_bank_bic": "string",
    "from_bank_name": "string",
    "from_legal_entity_name": "string",
    "initiated_at": "2019-08-24T14:15:22Z",
    "processed_at": "2019-08-24T14:15:22Z",
    "to_account_iban": "string",
    "to_account_id": "string",
    "to_account_name": "string",
    "to_bank_bic": "string",
    "to_bank_name": "string",
    "to_legal_entity_name": "string"
  },
  "fi_to_fi_swift_incoming": {
    "amount": "string",
    "asset": "string",
    "description": "string",
    "executed_at": "2019-08-24T14:15:22Z",
    "fee_account_name": "string",
    "fee_account_id": "string",
    "fee_amount": "string",
    "fee_asset": "string",
    "return_fee_amount": "string",
    "from_account_iban": "string",
    "from_account_name": "string",
    "from_account_number": "string",
    "from_bank_bic": "string",
    "from_bank_name": "string",
    "from_legal_entity_name": "string",
    "from_address_street_name": "string",
    "from_address_building_number": "string",
    "from_address_post_code": "string",
    "from_address_town_name": "string",
    "from_address_country": "string",
    "from_address_lines": [
      "string"
    ],
    "initiated_at": "2019-08-24T14:15:22Z",
    "processed_at": "2019-08-24T14:15:22Z",
    "to_account_iban": "string",
    "to_account_id": "string",
    "to_account_name": "string",
    "to_bank_bic": "string",
    "to_bank_name": "string",
    "to_legal_entity_name": "string",
    "fx_final_rate": "string",
    "swift_message": "string"
  },
  "fi_to_fi_swift_outgoing": {
    "amount": "string",
    "asset": "string",
    "description": "string",
    "initiated_at": "2019-08-24T14:15:22Z",
    "processed_at": "2019-08-24T14:15:22Z",
    "executed_at": "2019-08-24T14:15:22Z",
    "attachment_ids": [
      "string"
    ],
    "fee_amount": "string",
    "fee_asset": "string",
    "sender_fee_amount": "string",
    "refund_fee_amount": "string",
    "initiated_by": {
      "first_name": "string",
      "id": "string",
      "last_name": "string"
    },
    "checked_by": {
      "first_name": "string",
      "id": "string",
      "last_name": "string"
    },
    "checked_at": "2019-08-24T14:15:22Z",
    "intermediary_bank_name": "string",
    "intermediary_bank_bic": "string",
    "from_account_id": "string",
    "from_account_name": "string",
    "from_account_iban": "string",
    "from_legal_entity_name": "string",
    "from_bank_name": "string",
    "from_bank_bic": "string",
    "from_address_street_name": "string",
    "from_address_building_number": "string",
    "from_address_post_code": "string",
    "from_address_town_name": "string",
    "from_address_country": "string",
    "from_address_lines": [
      "string"
    ],
    "ultimate_debtor_account_id": "string",
    "ultimate_debtor_account_name": "string",
    "ultimate_debtor_account_iban": "string",
    "ultimate_debtor_legal_entity_name": "string",
    "ultimate_debtor_address_street_name": "string",
    "ultimate_debtor_address_building_number": "string",
    "ultimate_debtor_address_post_code": "string",
    "ultimate_debtor_address_town_name": "string",
    "ultimate_debtor_address_country": "string",
    "ultimate_debtor_address_lines": [
      "string"
    ],
    "to_account_name": "string",
    "to_account_iban": "string",
    "to_legal_entity_name": "string",
    "to_bank_name": "string",
    "to_bank_bic": "string",
    "to_email": "string",
    "to_address_street_name": "string",
    "to_address_building_number": "string",
    "to_address_post_code": "string",
    "to_address_town_name": "string",
    "to_address_country": "string",
    "to_address_lines": [
      "string"
    ],
    "swift_message": "string",
    "additional_details": "string",
    "charge_bearer": "string"
  },
  "gpss_incoming": {
    "amount": "string",
    "asset": "string",
    "description": "string",
    "executed_at": "2019-08-24T14:15:22Z",
    "fee_amount": "string",
    "fee_asset": "string",
    "from_account_iban": "string",
    "from_account_name": "string",
    "from_bank_bic": "string",
    "from_bank_name": "string",
    "initiated_at": "2019-08-24T14:15:22Z",
    "processed_at": "2019-08-24T14:15:22Z",
    "to_account_iban": "string",
    "to_account_id": "string",
    "to_account_name": "string",
    "to_bank_bic": "string",
    "to_bank_name": "string",
    "to_legal_entity_name": "string"
  },
  "gpss_outgoing": {
    "amount": "string",
    "asset": "string",
    "attachment_id": "string",
    "bulk_transfer_id": "string",
    "checked_at": "2019-08-24T14:15:22Z",
    "checked_by": {
      "first_name": "string",
      "id": "string",
      "last_name": "string"
    },
    "description": "string",
    "executed_at": "2019-08-24T14:15:22Z",
    "fee_amount": "string",
    "fee_asset": "string",
    "from_account_iban": "string",
    "from_account_id": "string",
    "from_account_name": "string",
    "from_bank_bic": "string",
    "from_bank_name": "string",
    "from_legal_entity_name": "string",
    "initiated_at": "2019-08-24T14:15:22Z",
    "initiated_by": {
      "first_name": "string",
      "id": "string",
      "last_name": "string"
    },
    "is_to_georgian_state_treasury": true,
    "processed_at": "2019-08-24T14:15:22Z",
    "tax_code": "string",
    "tax_payer_code": "string",
    "tax_payer_name": "string",
    "to_account_iban": "string",
    "to_account_name": "string",
    "to_bank_bic": "string",
    "to_bank_name": "string"
  },
  "charge_fee": {
    "account_iban": "string",
    "account_name": "string",
    "amount": "string",
    "asset": "string",
    "bank_bic": "string",
    "bank_name": "string",
    "executed_at": "2019-08-24T14:15:22Z",
    "initiated_at": "2019-08-24T14:15:22Z",
    "legal_entity_name": "string",
    "processed_at": "2019-08-24T14:15:22Z",
    "purpose": "string"
  },
  "bulk_transfer": {
    "asset": "string",
    "bulk_transfer_name": "string",
    "executed_at": "2019-08-24T14:15:22Z",
    "fee_asset": "string",
    "from_account_iban": "string",
    "from_account_id": "string",
    "from_account_name": "string",
    "from_legal_entity_name": "string",
    "initiated_at": "2019-08-24T14:15:22Z",
    "initiated_by": {
      "first_name": "string",
      "id": "string",
      "last_name": "string"
    },
    "processed_at": "2019-08-24T14:15:22Z",
    "total_amount": "string",
    "total_fees": "string",
    "transfers": [
      {
        "amount": "string",
        "asset": "string",
        "created_at": "2019-08-24T14:15:22Z",
        "description": "string",
        "destination": "string",
        "estimated_fee": "string",
        "id": "string",
        "name": "string",
        "status": "string",
        "transaction_id": "string",
        "updated_at": "2019-08-24T14:15:22Z"
      }
    ]
  },
  "manual_journal_entry": {
    "amount": "string",
    "asset": "string",
    "description": "string",
    "executed_at": "2019-08-24T14:15:22Z",
    "from_account_iban": "string",
    "from_account_name": "string",
    "from_legal_entity_id": "string",
    "from_legal_entity_name": "string",
    "includes_internal_account": true,
    "initiated_at": "2019-08-24T14:15:22Z",
    "processed_at": "2019-08-24T14:15:22Z",
    "to_account_iban": "string",
    "to_account_name": "string",
    "to_legal_entity_id": "string",
    "to_legal_entity_name": "string"
  },
  "qcp_settlement": {
    "base_amount": "string",
    "base_asset": "string",
    "base_direction": "string",
    "crypto_trading_pool_fireblocks_vault_id": "string",
    "executed_at": "2019-08-24T14:15:22Z",
    "initiated_at": "2019-08-24T14:15:22Z",
    "liquidity_provider_digital_wallet_address": "string",
    "liquidity_provider_digital_wallet_id": "string",
    "liquidity_provider_digital_wallet_name": "string",
    "liquidity_provider_digital_wallet_type": "string",
    "liquidity_provider_legal_entity_id": "string",
    "liquidity_provider_legal_entity_name": "string",
    "network_asset": "string",
    "network_fee_amount": "string",
    "processed_at": "2019-08-24T14:15:22Z",
    "quote_amount": "string",
    "quote_asset": "string",
    "quote_direction": "string",
    "related_order_ids": [
      "string"
    ],
    "status": "pending_approval",
    "transaction_hash": "string"
  },
  "crypto_trade": {
    "base_asset": "string",
    "checked_by": {
      "first_name": "string",
      "id": "string",
      "last_name": "string"
    },
    "customer_crypto_transfer_deadline": "2019-08-24T14:15:22Z",
    "customer_digital_wallet_address": "string",
    "customer_digital_wallet_id": "string",
    "customer_digital_wallet_name": "string",
    "customer_digital_wallet_type": "string",
    "customer_fiat_account_iban": "string",
    "customer_fiat_account_id": "string",
    "customer_fiat_account_name": "string",
    "customer_legal_entity_id": "string",
    "customer_legal_entity_name": "string",
    "customer_pays_amount": "string",
    "customer_pays_asset": "string",
    "customer_pays_network_fee_account_address": "string",
    "customer_pays_network_fee_account_id": "string",
    "customer_pays_network_fee_amount": "string",
    "customer_pays_network_fee_asset": "string",
    "customer_pays_network_fee_wallet_name": "string",
    "customer_receives_amount": "string",
    "customer_receives_asset": "string",
    "customer_requested_amount": "string",
    "customer_requested_asset": "string",
    "description": "string",
    "document_ids": [
      "string"
    ],
    "executed_at": "2019-08-24T14:15:22Z",
    "initiated_at": "2019-08-24T14:15:22Z",
    "initiated_by": {
      "first_name": "string",
      "id": "string",
      "last_name": "string"
    },
    "liquidity_provider_fiat_account_id": "string",
    "order_type": "string",
    "processed_at": "2019-08-24T14:15:22Z",
    "quote_asset": "string",
    "side": "string",
    "strategy": "string",
    "symbol": "string",
    "time_in_force": "string",
    "transaction_status": "pending_approval"
  },
  "segregated_wallet_incoming": {
    "amount": "string",
    "amount_usd": "string",
    "asset": "string",
    "executed_at": "2019-08-24T14:15:22Z",
    "from_address": "string",
    "initiated_at": "2019-08-24T14:15:22Z",
    "network_fee": "string",
    "network_fee_asset": "string",
    "processed_at": "2019-08-24T14:15:22Z",
    "to_account_id": "string",
    "to_account_name": "string",
    "to_address": "string",
    "to_bank_bic": "string",
    "to_bank_name": "string",
    "to_legal_entity_id": "string",
    "to_legal_entity_name": "string",
    "tx_hash": "string"
  },
  "segregated_wallet_outgoing": {
    "amount": "string",
    "amount_usd": "string",
    "asset": "string",
    "checked_at": "2019-08-24T14:15:22Z",
    "checked_by": {
      "first_name": "string",
      "id": "string",
      "last_name": "string"
    },
    "description": "string",
    "document_ids": [
      "string"
    ],
    "executed_at": "2019-08-24T14:15:22Z",
    "fee_account_id": "string",
    "fee_amount": "string",
    "fee_asset": "string",
    "from_account_id": "string",
    "from_account_name": "string",
    "from_address": "string",
    "from_bank_bic": "string",
    "from_bank_name": "string",
    "from_legal_entity_id": "string",
    "from_legal_entity_name": "string",
    "initiated_at": "2019-08-24T14:15:22Z",
    "initiated_by": {
      "first_name": "string",
      "id": "string",
      "last_name": "string"
    },
    "network_fee": "string",
    "network_fee_account_id": "string",
    "network_fee_asset": "string",
    "processed_at": "2019-08-24T14:15:22Z",
    "to_account_id": "string",
    "to_account_name": "string",
    "to_address": "string",
    "to_legal_entity_id": "string",
    "to_legal_entity_name": "string",
    "tx_hash": "string"
  },
  "domestic_usd_incoming": {
    "address": "string",
    "amount": "string",
    "asset": "string",
    "comment": "string",
    "country": "string",
    "effective_date": "2019-08-24T14:15:22Z",
    "executed_at": "2019-08-24T14:15:22Z",
    "fed_reference_number_omad": "string",
    "fee_amount": "string",
    "from_id": "string",
    "from_name": "string",
    "from_type": "string",
    "initiated_at": "2019-08-24T14:15:22Z",
    "postcode": "string",
    "processed_at": "2019-08-24T14:15:22Z",
    "reference": "string",
    "sending_financial_institution": "string",
    "to_account_iban": "string",
    "to_account_id": "string",
    "to_account_name": "string",
    "to_bank_bic": "string",
    "to_bank_name": "string",
    "to_id": "string",
    "to_legal_entity_name": "string",
    "to_name": "string"
  },
  "domestic_usd_outgoing": {
    "additional_details": "string",
    "address_one": "string",
    "address_two": "string",
    "amount": "string",
    "asset": "string",
    "beneficiary_email": "string",
    "beneficiary_name": "string",
    "checked_at": "2019-08-24T14:15:22Z",
    "checked_by": {
      "first_name": "string",
      "id": "string",
      "last_name": "string"
    },
    "city": "string",
    "comment": "string",
    "country": "string",
    "description": "string",
    "destination_account_number": "string",
    "destination_account_type": "string",
    "document_ids": [
      "string"
    ],
    "effective_date": "2019-08-24T14:15:22Z",
    "executed_at": "2019-08-24T14:15:22Z",
    "fee_amount": "string",
    "from_account_iban": "string",
    "from_account_id": "string",
    "from_account_name": "string",
    "from_bank_bic": "string",
    "from_bank_name": "string",
    "from_legal_entity_name": "string",
    "initiated_at": "2019-08-24T14:15:22Z",
    "initiated_by": {
      "first_name": "string",
      "id": "string",
      "last_name": "string"
    },
    "postcode": "string",
    "processed_at": "2019-08-24T14:15:22Z",
    "state": "string"
  }
}